Bug 1008057 - Review Request: python-musicbrainzngs - Python bindings for MusicBrainz NGS webservice
Review Request: python-musicbrainzngs - Python bindings for MusicBrainz NGS w...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 23:14 EDT by Ian Weller
Modified: 2014-11-01 12:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-musicbrainzngs-0.5-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-17 04:36:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amigadave: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2013-09-13 23:14:28 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/python-musicbrainzngs/0.4-1/python-musicbrainzngs.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/python-musicbrainzngs/0.4-1/python-musicbrainzngs-0.4-1.fc18.src.rpm
Fedora Account System Username: ianweller

Description:
This library implements webservice bindings for the MusicBrainz NGS site, also
known as /ws/2.

For more information on the MusicBrainz webservice see:
  http://wiki.musicbrainz.org/XML_Web_Service
Comment 1 David King 2013-12-12 13:39:31 EST
My first package review, but it seems like only minor issues. Would be good to fix the %{__python} but it's not a blocker (yet?).


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "ISC", "Unknown or generated". 23 files have unknown license. I checked
     and the unknown license is BSD 2-clause, as given in the spec file.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 14 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
     It would make sense to use %{__python2} rather than %{__python} before the package is
     pushed, as F21 is due to switch to Python 3 by default
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-musicbrainzngs-0.4-1.fc20.noarch.rpm
          python-musicbrainzngs-0.4-1.fc20.src.rpm
python-musicbrainzngs.noarch: W: spelling-error Summary(en_US) webservice -> web service, web-service, service
python-musicbrainzngs.noarch: W: spelling-error %description -l en_US webservice -> web service, web-service, service
python-musicbrainzngs.noarch: W: spelling-error %description -l en_US ws -> es, w, s
python-musicbrainzngs.src: W: spelling-error Summary(en_US) webservice -> web service, web-service, service
python-musicbrainzngs.src: W: spelling-error %description -l en_US webservice -> web service, web-service, service
python-musicbrainzngs.src: W: spelling-error %description -l en_US ws -> es, w, s
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

"ws" is part of the URL for the webservice. As for the "web service" versus "webservice", seems fine.


Rpmlint (installed packages)
----------------------------
# rpmlint python-musicbrainzngs
python-musicbrainzngs.noarch: W: spelling-error Summary(en_US) webservice -> web service, web-service, service
python-musicbrainzngs.noarch: W: spelling-error %description -l en_US webservice -> web service, web-service, service
python-musicbrainzngs.noarch: W: spelling-error %description -l en_US ws -> es, w, s
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-musicbrainzngs (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-musicbrainzngs:
    python-musicbrainzngs



Source checksums
----------------
https://pypi.python.org/packages/source/m/musicbrainzngs/musicbrainzngs-0.4.tar.gz :
  CHECKSUM(SHA256) this package     : 1a1b7c3cce851c491d5ad71b501bbed2bd653098e33565a0534050d4b922265a
  CHECKSUM(SHA256) upstream package : 1a1b7c3cce851c491d5ad71b501bbed2bd653098e33565a0534050d4b922265a


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1008057
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 2 Gwyn Ciesla 2013-12-12 15:12:24 EST
Clearing flag, reviewer not yet sponsored (though may be very soon).
Comment 3 David King 2013-12-12 16:00:40 EST
Sorry, I caused a misunderstanding, and I am indeed a member of the packager group:

https://admin.fedoraproject.org/accounts/group/members/packager/amigadave
Comment 4 David King 2014-03-14 13:04:49 EDT
Hi, there has not been any response since my review approval. Can you (Ian) please respond with a new package SCM request:

https://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages

If there is no response in 1 week, I will close the bug as per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding
Comment 5 Ian Weller 2014-03-14 18:43:35 EDT
Do you want to pick up the package? I'm inclined to let you take it over instead of me putting in the SCM request.
Comment 6 David King 2014-03-15 05:44:43 EDT
Sorry, I do not think that I would be a good maintainer, as I am only tangentially interested in the package. (A GSoC student is about to implement support for MusicBrainz search (using libmusicbrainz) in EasyTAG, a project for which I am the upstream maintainer.)

I see that there has been a new upstream release (0.5) of this package:

https://github.com/alastair/python-musicbrainzngs/releases
Comment 7 Andy Lutomirski 2014-06-26 17:30:01 EDT
Ian, I'm willing to maintain this.  The easiest way may be for you to submit the SCM request, import the package, and then transfer it to me.  I'm not sure whether I can submit an SCM request myself if I didn't submit the review.
Comment 8 Ian Weller 2014-10-06 11:12:53 EDT
Andy,

Sorry about how backlogged I am on Bugzilla requests.

Still willing to maintain the package? If so I'll place the SCM request and set you as the owner in it.
Comment 9 Andy Lutomirski 2014-10-06 12:32:18 EDT
Works for me.  Thanks!
Comment 10 Ian Weller 2014-10-06 16:31:12 EDT
New Package SCM Request
=======================
Package Name: python-musicbrainzngs
Short Description: Python bindings for MusicBrainz NGS webservice
Upstream URL: https://github.com/alastair/python-musicbrainzngs
Owners: amluto
Branches: f20 f21
InitialCC:
Comment 11 Gwyn Ciesla 2014-10-07 08:05:26 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2014-10-07 14:56:52 EDT
python-musicbrainzngs-0.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-musicbrainzngs-0.5-1.fc20
Comment 13 Fedora Update System 2014-10-07 14:57:26 EDT
python-musicbrainzngs-0.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-musicbrainzngs-0.5-1.fc21
Comment 14 Fedora Update System 2014-10-08 14:51:37 EDT
python-musicbrainzngs-0.5-1.fc21 has been pushed to the Fedora 21 testing repository.
Comment 15 Fedora Update System 2014-10-17 04:36:47 EDT
python-musicbrainzngs-0.5-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 16 Fedora Update System 2014-11-01 12:39:27 EDT
python-musicbrainzngs-0.5-1.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.